#include <ode/ode.h>



class DrawBody{
private:
	dBodyID BodyList[30];
	int Bodynum;
public:
	void init(int x, int y, double width, double height, double range, double *vec);
	void drawBox(dBodyID body, dReal *sides, double *color);
	void drawSphere(dBodyID body, dReal r, double *color);
	void drawCylinder(dBodyID body, dReal r, dReal l,int direction, double *color);
	void drawCapsule(dBodyID body, dReal r, dReal l, int direction, double *color);
	void CreateGround(double *w, double *color);

};



void position(dBodyID body, int num);
void CraeteCapsule(dBodyID body, dReal r, double l, double *color, int num, int direction);
void CraeteCylinder(dBodyID body, dReal r, double l, double *color, int num, int direction);
void CraeteSphere(dBodyID body, dReal r, double *color, int num);
void rotate(dBodyID body, int num);
void CraeteBox(dBodyID body, dReal *sides, double *color, int num);
dReal *QuaTransAngle(dQuaternion qua);

class glaph{
private:
	int num;
public:
	void init();
	void CreateGraph(int x, int y, double xmin, double ymin, double xmax, double ymax,double width, double height, const char *xtitle, const char *ytitle);
	void CreateCurve(double *color, int num);
	void drawcurve(double x, double y, int num);

};

class controls{
public:
	void init();
	void CreateControls(int x,int y,double width,double height,double range);
	void Createbutton(double *pos, int num,double height, double width, const char *text, int cnum);
	void Createslider(double *pos, int num,double height, double width,double *axis , int cnum);
	int BReturn(int num);
	int CReturn(int num);
	void interact(int num);
};

class Joystic{
public:
	void init();
	int *ReturnJ();
	int *ReturnA();
	int *ReturnB();
	void execu();
};

class Music{
private:
	char *name;
public:
	void init();
	void Mload(const char *c, int num);
	void Sload(const char *c, int num);
	void sound(int num);
	void music(int num);
};